Bug 141269 - Updating Channel Mappings for SVC0062
Updating Channel Mappings for SVC0062
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris MacLeod
Red Hat Satellite QA List
Depends On:
Blocks: 82114
  Show dependency treegraph
Reported: 2004-11-29 17:34 EST by Matt Webbink
Modified: 2007-04-18 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-13 09:47:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rhel-academic-mappings.csv (11.65 KB, text/plain)
2004-12-03 11:07 EST, Matt Webbink
no flags Details

  None (edit)
Description Matt Webbink 2004-11-29 17:34:50 EST
Please add the RHEL WS channels to SVC0062.
Comment 1 Matt Webbink 2004-11-29 17:37:43 EST
The latest revision (# 9922) of rhel-academic-mappings.csv has been
committed to svn.
Comment 2 Chris MacLeod 2004-11-30 10:48:25 EST
not sure of the status of the mapping tool, or whether it's in prod or
not, so assigning to pjones.
Comment 3 Peter Jones 2004-11-30 10:57:58 EST
It is in prod, so sometime today we should get together and I can show
you how to use it.
Comment 4 Chris MacLeod 2004-12-02 13:59:47 EST
mapping tool reports the following... not sure if this is an error or not.

Creating item mappings
  processing item SVC0062
Invalid channel family 'rhel-ia64-as-ia32supp'
Invalid channel family 'rhel-ia64-ws-ia32supp'
Invalid channel family 'rhel-ia64-es-ia32supp'

Comment 5 Matt Webbink 2004-12-02 14:44:11 EST
Strange - These channel families have parsed in the past.

rhel3-channels.csv on svn confirms these channel families exist.

Can you investigate?
Comment 6 Joe deBlaquiere 2004-12-03 10:29:54 EST
the *-ia64-*-ia32supp channels did at one time exist in QA, but never
in production. These were going to be containers for the ia32
compatibility libraries. The RHEL team subsequently decided that they
didn't want to have these channels but would rather have the packages
in the base channel. 

So bascially these are vestigal mappings for channels that do not
exist. I didn't take them out right away because it was a pain in the
ass to put them in to begin with and I was hedging that the RHEL team
might re-redecide that they actually did want the channels. 

I think it's safe to remove them all now.

Comment 7 Matt Webbink 2004-12-03 11:07:16 EST
Created attachment 107835 [details]

The mappings for SVC0062 have been revised in the attached spreadsheet,
removing the offending channels.
Comment 8 Chris MacLeod 2004-12-03 14:10:09 EST
needs to go into subversion...
Comment 9 Matt Webbink 2004-12-03 16:47:09 EST
Revised mappings committed to svn (revision # 10002).
Comment 10 Chris MacLeod 2004-12-03 17:04:13 EST
run in QA
Comment 11 Matt Webbink 2004-12-07 14:39:55 EST
Push to Prod.

Note You need to log in before you can comment on or make changes to this bug.